local image = love.graphics.newImage('image.jpg')

local fadealpha = 1
--local factor = 0.999999 -- factor to apply per second
local speed = 0.025

love.graphics.setLineWidth(2)

function love.update(dt)
  fadealpha = fadealpha * math.exp(-dt*speed)
end

function love.draw()
  local w, h = love.graphics.getDimensions()
  love.graphics.setColor(1, 1, 1, fadealpha)
  love.graphics.draw(image)
  love.graphics.setColor(1, 1, 1, 1)
  love.graphics.rectangle("fill", 0, 0, w * fadealpha, h/30)
  love.graphics.line(w * fadealpha, 0, w * fadealpha, math.floor(h/30)-0.5)
end

function love.keypressed(k) return k == "escape" and love.event.quit() end
